Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class SigningFlatFilePostprocessor

    java.lang.Object
      com.servingxml.components.flatfile.layout.SigningFlatFilePostprocessor

All Implemented Interfaces:
  FlatFilePostprocessor

    public class SigningFlatFilePostprocessor

extends java.lang.Object
implements FlatFilePostprocessor

A `SigningFlatFilePostprocessor` postproccesses a flat file.

Constructor Summary
`SigningFlatFilePostprocessor(FlatFileOptions flatFileOptions, FlatFileHeader header, FlatFileBody body, FlatFileTrailer trailer, FlatFileSignature[] signers, StreamSink sink)`

Method Summary
`void` | `beginData()`
`void` | `close()`
`void` | `endData()`
`void` | `signFile(ServiceContext context, Flow flow, long recordCount)`
`void` | `write(RecordOutput recordOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigningFlatFilePostprocessor

    public SigningFlatFilePostprocessor(FlatFileOptions flatFileOptions,
                                        FlatFileHeader header,
                                        FlatFileBody body,
                                        FlatFileTrailer trailer,
                                        FlatFileSignature[] signers,
                                        StreamSink sink)

Method Detail

### write

    public void write(RecordOutput recordOutput)
               throws java.io.IOException

  Specified by:
    `write` in interface `FlatFilePostprocessor`
  Throws:
    `java.io.IOException`

### close

    public void close()

  Specified by:
    `close` in interface `FlatFilePostprocessor`

### beginData

    public void beginData()

  Specified by:
    `beginData` in interface `FlatFilePostprocessor`

### endData

    public void endData()

  Specified by:
    `endData` in interface `FlatFilePostprocessor`

### signFile

    public void signFile(ServiceContext context,
                         Flow flow,
                         long recordCount)

  Specified by:
    `signFile` in interface `FlatFilePostprocessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD